Freeciv-3.3: multipler_rates_dialog Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Attributes
multipler_rates_dialog Class Reference

`#include <ratesdlg.h>`

Inheritance diagram for multipler_rates_dialog:

## Public Member Functions

| multipler_rates_dialog (QWidget *parent=nullptr)

## Private Slots

void | slot_set_value (int i)
void | slot_ok_button_pressed ()
void | slot_cancel_button_pressed ()

## Private Attributes

QList< QSlider * > | slider_list
QPushButton * | cancel_button
QPushButton * | ok_button

## Detailed Description

Definition at line 97 of file ratesdlg.h.

## Constructor & Destructor Documentation

## ◆ multipler_rates_dialog()

multipler_rates_dialog::multipler_rates_dialog | ( | QWidget * | parent = `nullptr` | ) |

explicit

Multipler rates dialog constructor Inheriting from qfc_dialog will cause crash in Qt5.2

Definition at line 131 of file ratesdlg.cpp.

## Member Function Documentation

## ◆ slot_cancel_button_pressed

void multipler_rates_dialog::slot_cancel_button_pressed | ( |  | ) |

privateslot

Cancel pressed

Definition at line 199 of file ratesdlg.cpp.

Referenced by multipler_rates_dialog().

## ◆ slot_ok_button_pressed

void multipler_rates_dialog::slot_ok_button_pressed | ( |  | ) |

privateslot

Ok pressed - send mulipliers value.

Definition at line 208 of file ratesdlg.cpp.

Referenced by multipler_rates_dialog().

## ◆ slot_set_value

void multipler_rates_dialog::slot_set_value | ( | int | i | ) |

privateslot

Slider value changed

Definition at line 184 of file ratesdlg.cpp.

Referenced by multipler_rates_dialog().

## Field Documentation

## ◆ cancel_button

QPushButton* multipler_rates_dialog::cancel_button

private

Definition at line 105 of file ratesdlg.h.

Referenced by multipler_rates_dialog().

## ◆ ok_button

QPushButton* multipler_rates_dialog::ok_button

private

Definition at line 106 of file ratesdlg.h.

Referenced by multipler_rates_dialog().

## ◆ slider_list

QList<QSlider*> multipler_rates_dialog::slider_list

private

Definition at line 104 of file ratesdlg.h.

Referenced by multipler_rates_dialog(), and slot_ok_button_pressed().